#!/usr/bin/python
# -*- coding: utf-8 -*-

from Components.Language import language
from Tools.Directories import fileExists, resolveFilename, SCOPE_PLUGINS
import os
import gettext
PluginLanguageDomain = "FreePlayer"
PluginLanguagePath = "Extensions/FreePlayer/po"


def localeInit():
    lang = language.getLanguage()[:2]
    os.environ["LANGUAGE"] = lang
    print("[FP] set language to ", lang)
    gettext.bindtextdomain(PluginLanguageDomain, resolveFilename(SCOPE_PLUGINS, PluginLanguagePath))


def _(txt):
    t = gettext.dgettext(PluginLanguageDomain, txt)
    if t == txt:
        # print "[FP] fallback to default translation for", txt
        t = gettext.gettext(txt)
    return t


localeInit()
language.addCallback(localeInit)
fonts_path_1 = "/usr/share/fonts/"
fonts_path_2 = resolveFilename(SCOPE_PLUGINS, "Extensions/FreePlayer/fonts/")


if fileExists(fonts_path_1):
    fonts_path = fonts_path_1
else:
    fonts_path = fonts_path_2

file_name = resolveFilename(SCOPE_PLUGINS, "Extensions/FreePlayer/font.ini")
f = open(file_name, 'w')

for file in os.listdir(fonts_path):
    if file.endswith(".ttf") or file.endswith(".TTF"):
        f.write(file + '\n')
f.close()
